using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication3
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz = Console.ReadLine().Split();
            int N = int.Parse(ulaz[0]);
            int L = int.Parse(ulaz[1]);
            string[] stalaktiti = Console.ReadLine().Split();
            int[] x = new int[N];
            for(int i = 0; i < N; i++)
            {
                x[i] = int.Parse(stalaktiti[i]);               
            }
            for(int i = 0; i < N; i++)
            {
                if(x[i]<=L)
                {
                    Console.WriteLine(i+1);
                    return;
                }         
            }
            Console.WriteLine(-1);
            Console.ReadLine();
        }
    }
}